1. Social publishing
Highperformr API
  • Introduction
  • Contacts
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
    • Unified Data API - async contact enrichment
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get options for field
      GET
    • Get discovery search options for field
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
Login
  1. Social publishing

Configure cross-account auto-repost

POST
/v1/posts/{postId}/reposting
Updates automation.crossAccountRepostConfig on the parent post: enabled and providersConfig derived from reposts.
Each providerId in reposts must be an integration id from POST /api/integrations/filter-integrations.
Plan: Requires reposting feature (Enterprise in UI).
UI alignment: scheduleInSecs values are chosen from fixed delays (300, 1800, 3600, … seconds). Each target providerId gets a child post whose schedule is parent scheduledTime + scheduleInSecs.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Updated post with reposting config
Bodyapplication/json

🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/v1/posts//reposting' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "reposting": {
        "enable": true,
        "reposts": [
            {
                "providerId": "fju3BtazNWFUeqBkbX7e",
                "scheduleInSecs": 300
            }
        ]
    }
}'
Response Response Example
200 - Example 1
{
    "property1": "string",
    "property2": "string"
}
Modified at 2026-04-22 07:54:17
Previous
Schedule a LinkedIn comment on an external post
Next
Upload media file (multipart)
Built with